# Generated by Django 3.0.3 on 2020-12-18 02:08

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('relatorios', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='CadastrosTerritorios',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dia', models.IntegerField()),
                ('qtd_territorios', models.IntegerField()),
            ],
            options={
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CadastrosUsuarias',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dia', models.IntegerField()),
                ('qtd_usuarias', models.IntegerField()),
            ],
            options={
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='EstadosTerritorios',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uf', models.CharField(max_length=2)),
                ('nome', models.CharField(max_length=50)),
                ('qtd_territorios', models.IntegerField()),
            ],
            options={
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TerritorioAgregado',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(blank=True, max_length=255, null=True)),
                ('qtde_familias', models.IntegerField(blank=True, null=True)),
                ('ano_fundacao', models.IntegerField(blank=True, null=True)),
                ('criacao', models.DateTimeField(auto_now_add=True)),
                ('ultima_alteracao', models.DateTimeField(auto_now=True)),
                ('publico', models.BooleanField(blank=True, default=False, null=True)),
                ('municipio_nome', models.CharField(blank=True, max_length=150, null=True)),
                ('estado_uf', models.CharField(blank=True, max_length=2, null=True)),
                ('estado_nome', models.CharField(blank=True, max_length=50, null=True)),
                ('status_nome', models.CharField(blank=True, max_length=255, null=True)),
                ('tipos_comunidade', models.CharField(blank=True, max_length=4096, null=True)),
                ('tipos_areas_de_uso', models.CharField(blank=True, max_length=4096, null=True)),
                ('tipos_conflitos', models.CharField(blank=True, max_length=4096, null=True)),
            ],
            options={
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TotaisAreasDeUso',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=255)),
                ('qtd_areasdeuso', models.IntegerField()),
            ],
            options={
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TotaisConflitos',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=255)),
                ('qtd_conflitos', models.IntegerField()),
            ],
            options={
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TotaisGerais',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('qtd_territorios', models.IntegerField()),
                ('area_territorios', models.DecimalField(decimal_places=9, max_digits=12)),
                ('qtd_familias', models.IntegerField()),
                ('qtd_usuarios', models.IntegerField()),
                ('qtd_areasdeuso', models.IntegerField()),
                ('qtd_conflitos', models.IntegerField()),
            ],
            options={
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TotaisStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=255)),
                ('qtd_territorios', models.IntegerField()),
            ],
            options={
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TotaisTipoComunidade',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=255)),
                ('qtd_territorios', models.IntegerField()),
                ('qtd_familias', models.IntegerField()),
            ],
            options={
                'managed': False,
            },
        ),
    ]
